/*
 *  oftc-services: irc services for the OFTC network
 *  mystring.h - string handling functions
 *
 *  Copyright (C) 2003 Stuart Walsh
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: mystring.h,v 1.1 2003/11/05 00:33:41 stu Exp $
 */

#ifndef STRING_H_INC
#define STRING_H_INC

extern char *sstrdup(const char *s);
extern int irc_toupper(char c);
extern int irc_tolower(char c);
extern int irc_stricmp(const char *s1, const char *s2);
extern char *strscpy(char *d, const char *s, size_t len);
extern char *stristr(char *s1, char *s2);
extern char *strupper(char *s);
extern char *strlower(char *s);
extern char *strnrepl(char *s, size_t size, const char *old, const char *new);

#endif
