/* Time-delay routine include stuff.
 *
 * Services is copyright (c) 1996-1999 Andrew Church.
 *     E-mail: <achurch@dragonfire.net>
 * Services is copyright (c) 1999-2000 Andrew Kempe.
 *     E-mail: <theshadow@shadowfire.org>
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 *
 * $Id: timeout.h,v 1.2 2003/11/05 00:33:41 stu Exp $
 */

#ifndef TIMEOUT_H
#define TIMEOUT_H

#include <time.h>


/* Definitions for timeouts: */
struct Timeout {
    time_t settime, timeout;
    int repeat;			/* Does this timeout repeat indefinitely? */
    void (*code)(struct Timeout *);	/* This structure is passed to the code */
    void *data;			/* Can be anything */
    dlink_node node;
};


/* Check the timeout list for any pending actions. */
extern void check_timeouts(void);

/* Add a timeout to the list to be triggered in `delay' seconds.  Any
 * timeout added from within a timeout routine will not be checked during
 * that run through the timeout list.
 */
extern struct Timeout *add_timeout(int delay, void (*code)(struct Timeout *), int repeat);

/* Remove a timeout from the list (if it's there). */
extern void del_timeout(struct Timeout *t);

#ifdef DEBUG_COMMANDS
/* Send the list of timeouts to the given user. */
extern void send_timeout_list(struct User *u);
#endif


#endif	/* TIMEOUT_H */
